/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
13/01/2016

This program configires the 4 power output pins (D5, D6, D9, D10) to drive a stepper motor
Connect Phase 1 of the stepper motor between D5 and D6
Connect Phase 2 of the stepper motor between D9 and D10

Look at the worksheet 0-500 on how stepper motors should be connected
Be aware that the maximum output current of 600mA for these 4 power output pins may not be exceeded.

This program makes the stepper motor turn 40x4 steps forward and then 40x4 steps backwards

Be aware that the voltage at these 4 power output pins needs to be set with jumper 2
*/

// these lines make it possible to use pin names instead of pin numbers
// Constants do not change during the program
const int Ph1_Pin1 =  5; 
const int Ph1_Pin2 =  6; 
const int Ph2_Pin1 =  9; 
const int Ph2_Pin2 =  10; 

// this setup function runs once when you press reset or power the board
void setup() 
{
  // initialize digital pin as output
  pinMode(Ph1_Pin1, OUTPUT);
  pinMode(Ph1_Pin2, OUTPUT);
  pinMode(Ph2_Pin1, OUTPUT);
  pinMode(Ph2_Pin2, OUTPUT);

}

// this loop function runs over and over again forever
void loop() 
{
  while(1)
  {
  for (char x = 40; x>0; x--) // 40 steps forward - WAVE STEP
    {
    digitalWrite(Ph1_Pin1, HIGH);    digitalWrite(Ph1_Pin2, LOW);     digitalWrite(Ph2_Pin1, LOW);     digitalWrite(Ph2_Pin2, LOW);  //sequence 1 of 4
    delay(20);                  // wait for ..msec
    
    digitalWrite(Ph1_Pin1, LOW);    digitalWrite(Ph1_Pin2, LOW);     digitalWrite(Ph2_Pin1, HIGH);     digitalWrite(Ph2_Pin2, LOW);  //sequence 2 of 4
    delay(20);                  // wait for ..msec
    
    digitalWrite(Ph1_Pin1, LOW);    digitalWrite(Ph1_Pin2, HIGH);     digitalWrite(Ph2_Pin1, LOW);     digitalWrite(Ph2_Pin2, LOW);  //sequence 3 of 4
    delay(20);                  // wait for ..msec
    
    digitalWrite(Ph1_Pin1, LOW);    digitalWrite(Ph1_Pin2, LOW);     digitalWrite(Ph2_Pin1, LOW);     digitalWrite(Ph2_Pin2, HIGH);  //sequence 4 of 4
    delay(20);                  // wait for ..msec
    }
   
   for (char x = 40; x>0; x--) // 40 steps backward - WAVE STEP 
    {
    digitalWrite(Ph1_Pin1, LOW);    digitalWrite(Ph1_Pin2, LOW);     digitalWrite(Ph2_Pin1, LOW);     digitalWrite(Ph2_Pin2, HIGH);  //sequence 4 of 4
    delay(20);                  // wait for ..msec
    
    digitalWrite(Ph1_Pin1, LOW);    digitalWrite(Ph1_Pin2, HIGH);     digitalWrite(Ph2_Pin1, LOW);     digitalWrite(Ph2_Pin2, LOW);  //sequence 3 of 4
    delay(20);                  // wait for ..msec
    
    digitalWrite(Ph1_Pin1, LOW);    digitalWrite(Ph1_Pin2, LOW);     digitalWrite(Ph2_Pin1, HIGH);     digitalWrite(Ph2_Pin2, LOW);  //sequence 2 of 4
    delay(20);                  // wait for ..msec
    
    digitalWrite(Ph1_Pin1, HIGH);    digitalWrite(Ph1_Pin2, LOW);     digitalWrite(Ph2_Pin1, LOW);     digitalWrite(Ph2_Pin2, LOW);  //sequence 1 of 4
    delay(20);                  // wait for ..msec
    }
  }
  }
